<?php defined("SYSPATH") or die("No direct script access.");
/**
 * Gallery - a web based photo album viewer and editor
 * Copyright (C) 2000-2009 Bharat Mediratta
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA  02110-1301, USA.
 */
class code_block_block_Core {
  static function get_site_list() {
    return array(
		"code" => t("Code Block"),
		"code2" => t("Code Block2"),
		"code3" => t("Code Block3"),
    "code4" => t("Code Block4"));
	}

  static function get($block_id, $theme) {
    $block = "";
    switch ($block_id) {
    case "code":
      if (module::get_var("code_block", "onalbum") && $theme->page_type == "collection"  ||
	  	  module::get_var("code_block", "onphoto") && $theme->page_type == "item"  ||
		  module::get_var("code_block", "onall") == true) {
        $block = new Block();
        $block->css_id = "g-code-block";
        $block->title = module::get_var("code_block", "title");
	    $block->content = new View("code_block.html");
      }
      break;
      
    case "code2":
      if (module::get_var("code_block", "onalbum2") && $theme->page_type == "collection"  ||
	  	  module::get_var("code_block", "onphoto2") && $theme->page_type == "item" ||
		  module::get_var("code_block", "onall2") == true) {
        $block = new Block();
        $block->css_id = "g-code-block2";
        $block->title = module::get_var("code_block", "title2");
	    $block->content = new View("code_block2.html");
      }
      break;
      
    case "code3":
      if (module::get_var("code_block", "onalbum3") && $theme->page_type == "collection"  ||
	  	  module::get_var("code_block", "onphoto3") && $theme->page_type == "item" ||
		  module::get_var("code_block", "onall3") == true) {
        $block = new Block();
        $block->css_id = "g-code-block3";
        $block->title = module::get_var("code_block", "title3");
	    $block->content = new View("code_block3.html");
      }
      break;
      
    case "code4":
      if (module::get_var("code_block", "onalbum4") && $theme->page_type == "collection"  ||
	  	  module::get_var("code_block", "onphoto4") && $theme->page_type == "item" ||
		  module::get_var("code_block", "onall4") == true) {
        $block = new Block();
        $block->css_id = "g-code-block4";
        $block->title = module::get_var("code_block", "title4");
	    $block->content = new View("code_block4.html");
      }
      break;
    }
    
    return $block;
  }
}